setupDiscount = function(){
	custSelectToggle = $('#nCustSelect').val();
	visToggle = $('#nDiscountType').val();
	discOrderType1Toggle = $('#nDiscountOrderType1').val();
	if(custSelectToggle=="select"){ $('#tblCustSelect').show(); } else { $('#tblCustSelect').hide(); }
	if(visToggle=="checkout"){
		scopeToggle = $('#nScopeDiscOrder').val();
		$('#tblCouponCode').show(); $('#tblDiscountSite').hide(); $('#tblDiscountOrder').show(); 
	} else {
		scopeToggle = $('#nScope').val();
		$('#tblCouponCode').hide(); $('#tblDiscountSite').show(); $('#tblDiscountOrder').hide(); 
	}
	if(discOrderType1Toggle=="shipping"){
		$('#tdDiscountAmt').hide(); $('#tdDiscountType').hide();
	} else {
		$('#tdDiscountAmt').show(); $('#tdDiscountType').show();
	}
	switch(scopeToggle){
		case "all": $('#tblProdSelect').hide(); $('#tblCatSelect').hide(); $('#tblDiscountProdCat').hide(); break;
		case "products": $('#tblProdSelect').show(); $('#tblCatSelect').hide(); $('#tblDiscountProdCat').show(); break;
		case "categories": $('#tblProdSelect').hide(); $('#tblCatSelect').show(); $('#tblDiscountProdCat').show(); break;
	}
}
makeUppercase = function(fld){
	var fldVal = fld.val();
	if(fldVal){ fld.val() = fldVal.toUpperCase(); }
}